Add method request parameter

Prev Next

Available in Classic and VPC

Add a user-defined header or query parameter to the created method.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /api/v1/products/{product-id}/apis/{api-id}/resources/{resource-id}/methods/{method-name}/parameters

Request headers

For information about the headers common to all API Gateway APIs, see API Gateway request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
product-id String Required ID of product the API belongs to
api-id String Required ID of the API to which the parameter will be added
resource-id String Required ID of the target resource in the API
method-name String Required Target method type
  • ANY | GET | POST | PUT | DELETE | PATCH | OPTIONS | HEAD

Request syntax

The request syntax is as follows:

{
  "isRequired" : true,
  "parameterType" : "string",
  "isArray" : true,
  "parameterName" : "parameterName",
  "parameterDescription" : "parameterDescription",
  "parameterCode" : "REQUEST_HEADER"
}

Request body

You can include the following data in the body of your request:

Field Type Required Description
isRequired Boolean Optional Whether the parameter is required
  • true | false
    • true: required parameter
    • false: optional parameter
parameterType String Optional Type of parameter
  • string | boolean | integer | long | float | double
isArray Boolean Optional Whether it is an array type
  • true | false
    • true: array type
    • false: not array type
parameterName String Required Name of parameter to save
  • 1-100 characters
parameterDescription String Optional Parameter description
  • 0-2000 characters
parameterCode String Required Code name of the parameter
  • REQUEST_HEADER | REQUEST_QUERY | REQUEST_FORMDATA

Request example

The request example is as follows:

curl --location --request POST 'https://apigateway.apigw.ntruss.com/api/v1/products/********o9/apis/cvcohvd2xj/resources/tf73xuex0v/methods/GET/parameters' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--data '{
  "isRequired" : false,
  "parameterType" : "integer",
  "isArray" : false,
  "parameterName" : "limit",
  "parameterDescription" : "Limit for pagination",
  "parameterCode" : "REQUEST_QUERY"
}'

Response

This section describes the response format.

Response syntax

The response syntax is as follows:

{
  "methodParameterDto" : {
    "resourceId" : "resourceId",
    "methodCode" : "methodCode",
    "tenantId" : "tenantId",
    "parameterCode" : "REQUEST_HEADER",
    "parameterType" : "string",
    "apiId" : "apiId",
    "parameterName" : "parameterName",
    "statusCode" : 6,
    "parameterDescription" : "parameterDescription",
    "isRequired" : true,
    "isArray" : true,
    "modifier" : "modifier",
    "parameterNo" : 0
  }
}

Response status codes

For information about the HTTP status codes common to all API Gateway APIs, see API Gateway response status codes.

Response example

The response example is as follows:

{
    "methodParameterDto": {
        "resourceId": "tf73xuex0v",
        "methodCode": "0001",
        "tenantId": "********65ec41039ce6668c2058b8a9",
        "parameterCode": "REQUEST_QUERY",
        "parameterType": "integer",
        "apiId": "cvcohvd2xj",
        "parameterName": "limit",
        "statusCode": 0,
        "parameterDescription": "Limit for pagination",
        "isRequired": false,
        "isArray": false
    }
}